from flask import Blueprint, jsonify, request
from flask import render_template
from app import app
import json

dr = Blueprint('dr', __name__, url_prefix='/dr')


@dr.route('/list')
def duorou_list():
    with open(app.root_path + '/data/duorou.json', 'r', encoding='utf-8') as f:
        json_data = json.loads(f.read())

    page = request.args.get("page", 1)

    # 拆分页码 page=1 获取1-10数据，page=2 获取11-20数据
    start = (int(page) - 1) * 10 + 1

    end = start+10
    duorou = json_data[start:end]
    totalPage = 15
    currentPage = page
    return render_template('duorou/list.html', tp=totalPage, cp=currentPage,duorou=duorou)

@dr.route('/detail')
def duorou_detail():
    with open(app.root_path + '/data/duorou.json', 'r', encoding='utf-8') as f:
        json_data = json.loads(f.read())

    id_ = request.args.get("id", 1)


    detail = json_data[int(id_)-1]

    return render_template('duorou/detail.html',duorou=detail)