from flask import Blueprint, jsonify, request
from flask import render_template
from ..apis.index import get_random_common_char, generate_phone_number,static_path
from PIL import Image, ImageDraw, ImageFont
import os
import io
import base64

u = Blueprint('user', __name__, url_prefix='/u')

# 手机号码转换为图片
def phone_to_img(phone):
    # 生成图片
    image = Image.new('RGB', (110, 20), (255, 255, 255))
    draw = ImageDraw.Draw(image)
    font = ImageFont.truetype(os.path.join(static_path, 'font/msyh.ttf'), 16)


    draw.text((0, 0), phone, font=font, fill=(0, 0, 0))

    buf = io.BytesIO()
    image.save(buf, format='png')
    buf.seek(0)
    b64_image = base64.b64encode(buf.getvalue()).decode('utf-8')

    # 转为 base64 编码

    return b64_image


@u.route('/i')
def index():
    # 随机生成用户姓名
    ret = list()
    for i in range(0, 20):
        name = "".join([get_random_common_char() for i in range(5)])
        ret.append({
            "name": name,
            "phone": phone_to_img(generate_phone_number())
        })


    return render_template('user/index.html', user_data=ret)
